﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls;
using Infragistics.Controls.Charts;
using System.Diagnostics;

namespace DataChartChangeFormatWhenZooming
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }


        void HorizontalZoombar_ZoomChanged(object sender, ZoomChangedEventArgs e)
        {
            double zoom = e.NewRange.Maximum - e.NewRange.Minimum;

            if (zoom < 0.1)
            {
                xamDataChart1.Axes[0].Label = "{Label: dd MMM yyyy}";
            }
            else
            {
                xamDataChart1.Axes[0].Label = "{Label: MMM-yy}";
            }
        }

        private void xamDataChart1_Loaded(object sender, RoutedEventArgs e)
        {
            (sender as XamDataChart).HorizontalZoombar.ZoomChanged
                 += new EventHandler<ZoomChangedEventArgs>(HorizontalZoombar_ZoomChanged);  
        }
    }

    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public SimpleDataCollection()
        {
            Random r = new Random();
            for (int i = 0; i < 50; i++)
            {
                this.Add(new SimpleDataPoint() { Label = DateTime.Now.AddYears(i), Value = r.Next(10,100)});
            }

        }
    }
    /// <summary>
    /// Simple storage class for pair of string and double value
    /// </summary>
    public class SimpleDataPoint
    {
        public double Value { get; set; }
        public DateTime Label { get; set; }
    }
}
